Summary: Trustix Secure Linux default files for new users' home directories.
Name: etcskel
Version: 2.1
Release: 14tr
License: public domain
Group: Trustix Official
Source1: etcskel.tar.gz
Source2: rootfiles.tar.gz
BuildRoot: /var/tmp/%{name}-root
Requires: bash
Obsoletes : rootfiles
Provides : rootfiles

%description
The etcskel package is part of the basic Trustix system.  Etcskel
provides the /etc/skel directory's files.  These files (.bash_logout, 
.bash_profile, .bashrc) are then placed in every new user's home 
directory when new accounts are created.

The rootfiles package contains basic required files that are placed
in the root user's account.  These files are basically the same
as the files found in the etcskel package, which are placed in regular
users' home directories.

%prep

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/skel
zcat $RPM_SOURCE_DIR/etcskel.tar.gz | (cd $RPM_BUILD_ROOT ; tar -xvSpf-)
zcat $RPM_SOURCE_DIR/rootfiles.tar.gz | (cd $RPM_BUILD_ROOT ; tar -xvSpf-)
mv $RPM_BUILD_ROOT/rootfiles $RPM_BUILD_ROOT/root

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%config /etc/skel
%config /root/.[A-z]*
%dir /root/Maildir
/root/Maildir/*

%changelog
* Mon Apr 25 2005 Bipin S  <bipin at comodo dot com> 2.1-13tr
- Merged rootfiles.

* Tue Mar 15 2005 Thushara Gopalakrishnan <thushara at comodo dot com> 2.1-12tr
- Rebuilt

* Wed Dec  3 2003 Erlend Midttun <erlendbm at trustix dot org> 2.1-9tr
- Big rebuild

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1-8tr
- Big rebuild

* Tue Jun 10 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1-7em
- Added Maildir to make Courier-imap happy even before the user get a mail.

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 2.1-6em
- Rebuilt against glibc 2.3.2.

* Tue Jul 16 2002 Christian H. Toldnes <christht at trustix dot com> 2.1-5ct
- Rebuild to fit TSL 2.0

* Tue Jul 17 2001 Erlend Midttun <erlendbm at trustix dot com>
- Inc serial number before release.

* Mon Feb 12 2000 Erlend Midttun <erlendbm at trustix dot com>
- Removed .Xdefaults

* Fri Jan 21 2000 Bill Nottingham <notting@redhat.com>
- oops, file list was broken.

* Thu Jan 13 2000 Bill Nottingham <notting@redhat.com>
- add .inputrc back, and just have it include /etc/inputrc

* Fri Apr 16 1999 Preston Brown <pbrown@redhat.com>
- removed .inputrc -- it is migrating to /etc/inputrc elsewhere

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- fixes for .inputrc

* Mon Mar 29 1999 Preston Brown <pbrown@redhat.com>
- more minor updates to .Xdefaults

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- fixed up .Xdefaults to not scroll back with pgup/pgdown
- added .inputrc

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Wed Dec 30 1998 Cristian Gafton <gafton@redhat.com>
- glibc 2.1

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- clean out more stuff from the default .Xdefaults

* Sat Aug 22 1998 Jeff Johnson <jbj@redhat.com>
- use BASH_ENV=~/.bashrc -- leave ENV for ksh (change #459)

* Fri Nov 08 1997 Cristian Gafton <gafton@redhat.com>
- .Xdefaults file was broken; it is not processed by any macro thing.

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- converted to a noarch package

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- added bash dependencie 

* Thu Mar 20 1997 Erik Troan <ewt@redhat.com>
- Moved .Xclients and .xsession to xinitrc package
